/*
 * Bristleback Websocket Framework - Copyright (c) 2010-2013 http://bristleback.pl
 * ---------------------------------------------------------------------------
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your
 * option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but without any warranty; without even the implied warranty of merchantability
 * or fitness for a particular purpose.
 * You should have received a copy of the GNU Lesser General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
 * ---------------------------------------------------------------------------
 */

package pl.bristleback.server.bristle.engine;

/**
 * Websocket op-codes defined in <a href="http://tools.ietf.org/html/rfc6455">Websocket RFC</a>.
 * <p/>
 * Created on: 2011-11-21 18:42:42 <br/>
 *
 * @author Wojciech Niemiec
 */
public enum OperationCode {

  TEXT_FRAME_CODE(0x01),
  BINARY_FRAME_CODE(0x02),
  CLOSE_FRAME_CODE(0x08),
  PING_FRAME_CODE(0x09),
  PONG_FRAME_CODE(0x0A);

  private int code;

  OperationCode(int code) {
    this.code = code;
  }

  public int getCode() {
    return code;
  }
}
